com.microfocus.awm.meta.internal

## Class TableColumn

- java.lang.Object
- - com.microfocus.awm.meta.internal.TableColumn

- All Implemented Interfaces:
    IStructureComponent

      public class TableColumn
      extends java.lang.Object
      implements IStructureComponent

  Table column structure component
  Author:
    RalfP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableColumn(RFileProperty pFileProperty)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `getAttribute(java.lang.String pName, java.lang.Class<T> pAttributeClass)` Gets relevant attribute for specific IStructureType component
    `java.util.List<IStructureComponent>` | `getChildren()` Gets the component's children.
    `java.lang.String` | `getName()` The name of the component.
    `Property` | `getProperty()` Gets the property this component has been mapped to.
    `java.lang.String` | `getStaticValue()` A static value component value.
    `boolean` | `isMandatory()` Indicates whether the component is mandatory in the structure.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableColumn

          public TableColumn(RFileProperty pFileProperty)

      Constructor.
      Parameters:
        `pFileProperty` - the `RFileProperty`

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `IStructureComponent`
      The name of the component.
      Specified by:
        `getName` in interface `IStructureComponent`
      Returns:
        the component name or `null`

    - #### getStaticValue

          public java.lang.String getStaticValue()

      Description copied from interface: `IStructureComponent`
      A static value component value.
      Specified by:
        `getStaticValue` in interface `IStructureComponent`
      Returns:
        the static value or `null`

    - #### getProperty

          public Property getProperty()

      Description copied from interface: `IStructureComponent`
      Gets the property this component has been mapped to.
      Specified by:
        `getProperty` in interface `IStructureComponent`
      Returns:
        the mapped property or `null`, if the component is not mapped to a property

    - #### getChildren

          public java.util.List<IStructureComponent> getChildren()

      Description copied from interface: `IStructureComponent`
      Gets the component's children.
      Specified by:
        `getChildren` in interface `IStructureComponent`
      Returns:
        children of the element. Can be `null` if the structure component doesn't support children.

    - #### getAttribute

          public <T> T getAttribute(java.lang.String pName,
                                    java.lang.Class<T> pAttributeClass)

      Description copied from interface: `IStructureComponent`
      Gets relevant attribute for specific IStructureType component
      Specified by:
        `getAttribute` in interface `IStructureComponent`
      Parameters:
        `pName` - the name of the attribute
        `pAttributeClass` - the type of the attribute value
      Returns:
        the attribute value if there is defined attribute with the specified name which is relevant to this component, otherwise `null`

    - #### isMandatory

          public boolean isMandatory()

      Description copied from interface: `IStructureComponent`
      Indicates whether the component is mandatory in the structure. Mandatory attributes will cause an exception if no value is available at runtime.
      Specified by:
        `isMandatory` in interface `IStructureComponent`
      Returns:
        `true` if this component is mandatory in the structure, otherwise `false`

Copyright © 2015 Micro Focus GmbH. All rights reserved.